Op deze website gebruiken we cookies om content en advertenties te personaliseren, om functies voor social media te bieden en om ons websiteverkeer te analyseren. Ook delen we informatie over uw gebruik van onze site met onze partners voor social media, adverteren en analyse. Deze partners kunnen deze gegevens combineren met andere informatie die u aan ze heeft verstrekt of die ze hebben verzameld op basis van uw gebruik van hun services. Meer informatie.

Akkoord

Vraag & Antwoord

OS Linux

Outlook voor linux

Andre
17 antwoorden
  • Ik las onder laatst een keer in de Computer Totaal over Outlook voor linux oftwel Ximian Evolution. Die je kunt downen op http://www.ximian.org. Leek me wel een interessant programma, zeker voor een Linux Newbie zoals mij.

    Op de site stond dat je dit via de server kon installeren, dat leek me wel makkelijk. Hoef ik teminste geen pakketten te compileren enz. Toen ik deze optie koos, kon ik kiezen uit een heleboel servers waar ik dit kon downloaden. Maar geen een van alle werkt die ik uit geprobeerd heb. Iedere keer stopt tie halverwege het downloaden. En dan geeft tie iets met "depencies" en resolve host geloof ik aan. Heeft dit te maken met dat er iets mis is met de server? Of ligt dit probleem bij mij? En hoe moet ik dit dan oplossen. Ik wil namelijk wel graag dit programma geïnstalleerd hebben.
  • een dependencie-probleem duidt op het feit dat Evolution bebaalde gedeelde bibliotheken nodig heeft om te kunnen draaien, en die heb je blijkbaar niet, of ze staan niet in het zoekpad.
    Voor het gebruik van Evolution heb je in ieder geval een recente Gnome-installatie nodig.
    Verder kun je dependencie-problemen trachten op te lossen door op http:/
    pmfind.net te zoeken naar de bibliotheek die Evolution mist. Als je deze hebt gevonden, kijk dan op je installatie-cd of hij daar op staat, of download hem van rpmfind.net
    Verder kun je ook op de site van je distro kijken of die Evolution aanbieden.
    Evolution wordt overigens standaard meegeleverd bij Mandrake 8.2 en SuSe 8.0

    Max
  • Ik heb een volledige install van Red Hat 7.1 gedaan. Heb alle packages maar geïnstalleerd, omdat ik weleens een problemen heb gehad dat tie bepaalde pakketten mist.

    Ik heb overigens wel KDE als window manager geïnstalleerd. Kan het zijn dat, dat het probleem is? Dus dat Evolution niet werkt onder KDE maar alleen onder Gnome?
  • Evolution is inderdaad op Gnome gebaseerd. Hij zal dan ook de Gnome libraries gebruiken.

    Wat je zou kunnen proberen is om met behulp van je RH cd, de gnome development packages te installeren. Hiermee kan je dan in ieder geval op Gnome gebaseerde programma's compileren en installeren.

    [edit]
    Om nog even op je échte vraag terug te komen: Ximian Evolution draait wel op KDE, ik heb hem daar zelf ook draaien. Moest dus wel een aantal Gnome packages d/l-en.
    Aangezien ik de install zelf heb gedaan kreeg ik dus een melding van de packages die er misten.
    [/edit]

    [ Dit bericht is bewerkt door: rkars op 2002-05-06 14:31 ]
  • Ik heb het eens op Gnome geprobeerd. Maar ook met de Gnome gui wil die Evolution niet installeren. Bij het downloaden van de packages krijg ik de melding:
    transfer error: nog wat

    Toen heb ik eens geprobeerd om Gnome te upgraden, wat via dezelfde site en install programma van Ximian gedaan kan worden. Het downloaden van de packages gaat uitstekend. Daarna gaat de installer de zaak installeren. En ook daar gaat het weer mis. Hij geeft aan dat er 3 bestanden zijn die conflicten veroorzaken met 3 bestanden die al op het systeem staan.

    Ik heb linux volledig op me systeem geinstalleerd. Wat kan er nu nog mis zijn, waardoor het gewoon niet werkt.
  • Hmmm das raar misschien moet je een download manager gebruiken. Tevens kan je eens checken of je hardeschijven vol zijn?

    Andere oplossingen kunnen zijn dat je nog wat rpm's mist. kijk bij rpmfind.net voor de pakketen die je nodig hebt.

    Nog even wil ik kwijt dat Evolution een te gek goed programma is.
  • Ik heb de oplossing al gevonden voor die transfer error. Ik heb eens een andere server gekozen. Namelijk die van Ximian zelf. En daar het downloaden goed, en ook het installeren ging goed. Het valt mij op dat de meeste servers daar problemen vertonen.

    Toen kreeg ik de melding in beeld dat ik de X-server moest restarten. Ik dacht ik zal voor de zekerheid maar eens de computer restarten. Dus ik log uit, en keer terug naar de konsole. En ik wil dus als root inloggen (wat ik misschien eigenlijk niet had hoeven te doen, want ik had met "su" al root rechten geclaimd).

    Dus ik typ "logout"
    En ik moet de username invullen.
    Toen ik daar root invulde, deed tie nix meer. Ook als andere gebruikers inloggen deed tie niet meer. De naam van de gebruiker die je intypte werd automatisch gewist. Ik kreeg het passwordveld niet meer eens in beeld. Ctrl-c hielp niet. Ctrl-alt-delete niet. En opeens moest ik zelfs 5 minuten wachten todat ik weer wat mocht doen. En daarna deed het systeem het nog niet. Toen kon ik nog maar 1 ding doen, dan de reset knop gebruiken (ik weet dat het niet goed is). Dus dat heb ik dan toch maar gedaan.

    En toen gebeurde waar ik bang voor was, Linux starte niet meer volledig op, ik kreeg de volgende melding:
    no more processes in this runlevel

    Ik vrees dat dit dus weer een nieuwe linux install wordt. Ik had linux net een week geïnstalleerd. Kortom mijn ervaringen met de producten van Ximian is dus zeer slecht. Het laat je systeem crashen. Of ligt dit aan mij. Het compileren en installeren van het pakket xmms (tar.gz file) ging wel zonder problemen.
  • Met welke distro werk je?
    Ik heb evolution als rpm ge'dl en dit ging redelijk inderdaad wel veel dep's.
    Als ik evolution van de distro aanbieder neem dan heb ik die problemen niet.
  • Raar probleem..

    Probeer Linux eens op te starten in init 3 door achter de prompt van de bootmanager
    linux init 3
    te typen.
    log dan in als root en start x. Kijk even wat er precies gebeurt.


    Max
  • Het inloggen met linux init 3 is helaas niet gelukt. Dit komt omdat lilo bij mij een grafische bootmanager is. Ik kan hier kiezen uit linux en WindowsME, die ik via de setup zelf gedefineerd heb. Ik heb dan maar toch linux opnieuw geinstalleerd. En doen deed tie het weer.

    Toen heb ik maar weer eens een poging gewaagd. Daarbij heb ik besloten niet alleen Evolution te installeren, maar het complete pakket. Dus installatie van Gnome. Daarbij koos ik voor de Normal setup. Het viel me op dat de servers waar je die packges download gewoon niet lekker werken. En dat daardoor foutmeldingen optreden. En als je het dan later nog eens probeerd lukt het wel.

    Dus toen alles binnen was dacht ik eindelijk Gnome te kunnen installeren. Maar tijdens de installatie gaf die weer een foutmelding namelijk de volgende:

    ERROR: Package transaction has failed:

    Unable to complete RPM transaction:
    file /usr/share/idl/GnomeCal.idl from gnome-pim-1.4.0-ximian.7 conflicts with file from package gnome-pim-devel-1.2.0-9

    file /usr/share/man/man1/gimptool.1.gz from install of gimp-1.2.3-1.ximian.3 conflicts with file from package gimp-devel.1.2.1-5

    You can click the PREV button to go back and select a different set of packages or a different source.

    Ik kon dus niet meer verder met de install, kon alleen op vorige klikken. Hoe moet ik dit verhelpen, want ik wil graag die nieuwe Gnome geinstalleerd hebben. Ik zat zelf te denken om die 2 packages die conflicten veroorzaken te verwijderen. Ik weet niet of dat helpt, en ik weet ook niet hoe dat moet.

    Weet iemand een oplossing voor mij probleem, zodat ik Gnome kan installeren en dan draaien.
    PS: Dat probleem wat ik had met inloggen in de Konsole, schijnt een bekende bug te zijn in Red Hat linux 7.1 (distro die ik gebruik). Hiervoor is een bug-fix op de site van Red Hat beschikbaar.

    [ Dit bericht is bewerkt door: roy_startpag op 2002-05-07 22:40 ]

  • Is dit iets?

    ftp:/
    pmfind.net/linux/helix/ximian-gnome
    edhat-71-i386/evolution-1.0.4-1.ximian.4.i386.rpm

    Bart
  • Voor wat betreft het inloggen:

    ik gebruik ook een grafische login, maar heb wel een prompt tot mijn beschikking waar ik zelf commando's kan intypen.

    Andere login-optie:
    klik, nadat Linux is opgestart op de toetsencombinatie Ctrl Alt F2
    nu zit je in een tekstlogin.
    login als root en typ
    init 3
    nu zit je alsnog in init 3 :wink:

    Max



  • Als het downloaden echt niet wil, bestel dan evt een cd van Gnome incl Evolution bij Munnikes op http://www.munnikes.nl

    Max
  • Het downloaden was een heel geklungel, maar uiteindelijk lukte het wel.

    Ik heb nu een ander probleem. Ik kreeg tijdens de install procedure, zoals ik al zei de volgende melding:


    ERROR: Package transaction has failed:

    Unable to complete RPM transaction:
    file /usr/share/idl/GnomeCal.idl from gnome-pim-1.4.0-ximian.7 conflicts with file from package gnome-pim-devel-1.2.0-9

    file /usr/share/man/man1/gimptool.1.gz from install of gimp-1.2.3-1.ximian.3 conflicts with file from package gimp-devel.1.2.1-5

    You can click the PREV button to go back and select a different set of packages or a different source.


    En ik denk als ik dan een cd van Gnome zou aanschaffen, dat ik dan hetzelfde probleem zou hebben. Die 2 pakketten geven conflicten met 2 pakketten van de install van Gnome. Teminste dat begrijp ik uit de foutmelding. Helpt het misschien als ik de 2 pakketten verwijder. Zoja hoe moet ik afzonderlijke pakketten verwijderen, zonder de boel weer opnieuw te installeren? Ik heb namelijk geen zin om weer een nieuwe install te doen.
  • de packages verwijderen (lees: deinstalleren) kun je het beste doen dmv het commando:
    rpm -e <packagename>

    Wat ik gedaan heb is om bij elk dependency probleem via rpmfind.net de juiste package te d/l. Zo heb ik het toen gedaan bij de installatie van Evolution. Ik had gnome namelijk ook niet geinstalleerd staan, maar wilde het toch proberen te installleren. Het eerste package wat hij miste heb ik toen ged/l en geinstalleerd. Toen miste hij weer een andere, dus deed ik daarmee hetzelfde, enz.

    Het waren volgens mij een stuk of tien rpm's die ik moest downloaden.
  • Dank je wel rkars. Als ik die 2 packages ga verwijderen, zoals jij zegt, lukt het allemaal wel. Ik heb nu Gnome geinstalleerd. En het werkt allemaal prima. Ik merk wel dat er een klein bugje inzit. Namelijk het scherm vergrendelen lukt niet. Er gebeurt helemaal niks als je op scherm vergrendelen klikt. Maar wat ik tot nu toe kan zien werkt alles prima.

    Daarvoor bedankt voor al jullie reacties
  • Ik had zelf ook problemen met Evolution, maar die zijn opgelost doordat ik het heb geinstalleerd met behulp van Red Carpet, ook een Ximian product. Hiermee ging alles vlekkeloos.

Beantwoord deze vraag

Dit is een gearchiveerde pagina. Antwoorden is niet meer mogelijk.